Page MenuHomePhabricator

Update Vagrant to include the new language plugins
Closed, ResolvedPublic

Description

Include/check:
Stempel Polish language analyzer from Elastic, v 5.3: https://www.elastic.co/guide/en/elasticsearch/plugins/5.3/analysis-stempel.html
Ukrainian language analyzer from Elastic, v 5.3: https://www.elastic.co/guide/en/elasticsearch/plugins/5.3/analysis-ukrainian.html
SmartCN Chinese language analyzer from Elastic, v 5.3: https://www.elastic.co/guide/en/elasticsearch/plugins/5.3/analysis-smartcn.html
STConvert Analysis for Elasticsearch, v 5.3: https://github.com/medcl/elasticsearch-analysis-stconvert/releases/tag/v5.3.0
HebMorph: https://github.com/synhershko/elasticsearch-analysis-hebrew/

This is similar to T160948: Deploy new versions of Wikimedia and other Elasticsearch plugins, except that is deploying them to production, rather than to Vagrant.

Event Timeline

TJones created this task.May 3 2017, 1:29 PM
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptMay 3 2017, 1:29 PM
TJones added a comment.May 3 2017, 1:30 PM

Is Vagrant up to 5.3 yet? Should we deploy these after we update vagrant to 5.3?

There's some discussion about how to improve deployment of plugins and other resources to production, and it looks like it will simplify updating vagrant as well, so this should wait until that is sorted out.

debt added a subscriber: debt.Jul 11 2017, 5:27 PM

Vagrant is up to 5.3, but waiting on T158560.

Change 377248 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/vagrant@master] Start to use deb packages to install elastic plugins

https://gerrit.wikimedia.org/r/377248

dcausse claimed this task.Sep 13 2017, 2:38 PM

Change 377248 merged by jenkins-bot:
[mediawiki/vagrant@master] Start to use deb packages to install elastic plugins

https://gerrit.wikimedia.org/r/377248

debt closed this task as Resolved.Sep 20 2017, 6:00 PM
Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Sep 21 2017, 2:49 AM